Skip to main content

Container Registry administrator password

Reviewed on · View on GitHub

You can retrieve the administrator password of your Container Registry within your space.

Permissions​

info

This action requires the following IAM (Identity and Access Management) permissions:

  • registry.instance.get

The GET /registry/spaces/{spaceId}/registries/{registryId}/password request retrieves the administrator password of a Container Registry.

Response example​

{
"password": "Rg7#kT9$pM3@wX5yZ8"
}

View the full specification

note

The Container Registry is preconfigured with a single administrator account, whose username is fixed and cannot be changed: it is always admin. Only the password is generated. Log in to Harbor with the username admin and the password returned by this action.

Was this page helpful?